
module Enumerable
  methods = instance_methods()

  unless methods.include?('map')
    alias map collect
  end

  unless methods.include?('select')
    alias select find_all
  end

  unless methods.include?('reject')
    def reject
      result = []
      each do |i|
        result.push i unless yield(i)
      end
      result
    end
  end

  unless methods.include?('inject')
    def inject( result )
      each do |i|
        result = yield(result, i)
      end
      result
    end
  end

  unless methods.include?('any?')
    def any?
      each do |i|
        return true if yield(i)
      end
      false
    end
  end
end

def File.read_all( fname )
  File.open(fname, 'rb') {|f| return f.read }
end

def File.write( fname, str )
  File.open(fname, 'wb') {|f| f.write str }
end

